---
title: dominant-baseline
slug: Web/SVG/Attribute/dominant-baseline
tags:
  - Reference
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>dominant-baseline</code></strong> attribute specifies the dominant baseline, which is the baseline used to align the box’s text and inline-level contents. It also indicates the default alignment baseline of any boxes participating in baseline alignment in the box’s alignment context.</p>

<p>It is used to determine or re-determine a scaled-baseline-table. A scaled-baseline-table is a compound value with three components:</p>

<ol>
 <li>a baseline-identifier for the dominant-baseline,</li>
 <li>a baseline-table, and</li>
 <li>a baseline-table font-size.</li>
</ol>

<p>Some values of the property re-determine all three values. Others only re-establish the baseline-table font-size. When the initial value, <code><span class="prop-value">auto</span></code>, would give an undesired result, this property can be used to explicitly set the desired scaled-baseline-table.</p>

<p>If there is no baseline table in the nominal font, or if the baseline table lacks an entry for the desired baseline, then the browser may use heuristics to determine the position of the desired baseline.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>dominant-baseline</code> can be used as a CSS property. See {{cssxref("dominant-baseline", "CSS dominant-baseline")}} for further information.</p>

<p>As a presentation attribute, it can be applied to any element but it only has effect on the text content elements, including: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css notranslate">html, body, svg {
  height: 100%;
}

text {
  font: bold 14px Verdana, Helvetica, Arial, sans-serif;
}</pre>
</div>

<pre class="brush: html notranslate">&lt;svg viewBox="0 0 200 120" xmlns="http://www.w3.org/2000/svg"&gt;
    &lt;path d="M20,20 L180,20 M20,50 L180,50 M20,80 L180,80" stroke="grey" /&gt;

    &lt;text dominant-baseline="auto" x="30" y="20"&gt;Auto&lt;/text&gt;
    &lt;text dominant-baseline="middle" x="30" y="50"&gt;Middle&lt;/text&gt;
    &lt;text dominant-baseline="hanging" x="30" y="80"&gt;Hanging&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "120")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> <a href="https://www.w3.org/TR/css3-values/#comb-one" id="ref-for-comb-one">|</a> <code>text-bottom</code> <span>|</span> <code>alphabetic</code> <span>|</span> <code>ideographic</code> <span>|</span> <code>middle</code> <span>|</span> <code>central</code> <span>|</span> <code>mathematical</code> <span>|</span> <code>hanging</code> <span>|</span> <code>text-top</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>discrete</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>
 <p>If this property occurs on a {{SVGElement("text")}} element, then the computed value depends on the value of the {{SVGAttr("writing-mode")}} attribute.</p>

 <p>If the {{SVGAttr("writing-mode")}} is horizontal, then the value of the dominant-baseline component is <code>alphabetic</code>. Otherwise, if the {{SVGAttr("writing-mode")}} is vertical, then the value of the dominant-baseline component is <code>central</code>. </p>

 <p>If this property occurs on a {{SVGElement("tspan")}}, {{SVGElement("tref")}}, {{SVGElement("altGlyph")}}, or {{SVGElement("textPath")}} element, then the dominant-baseline and the baseline-table components remain the same as those of the parent text content element.</p>

 <p>If the computed {{SVGAttr("baseline-shift")}} value actually shifts the baseline, then the baseline-table font-size component is set to the value of the {{SVGAttr("font-size")}} attribute on the element on which the <code>dominant-baseline</code> attribute occurs, otherwise the baseline-table font-size remains the same as that of the element.</p>

 <p>If there is no parent text content element, the scaled-baseline-table value is constructed as above for {{SVGElement("text")}} elements.</p>
 </dd>
 <dt><code>use-script</code>{{deprecated_inline}}</dt>
 <dd>The dominant-baseline and the baseline-table components are set by determining the predominant script of the character data content. The {{SVGAttr("writing-mode")}}, whether horizontal or vertical, is used to select the appropriate set of baseline-tables and the dominant baseline is used to select the baseline-table that corresponds to that baseline. The baseline-table font-size component is set to the value of the {{SVGAttr("font-size")}} attribute on the element on which the <code>dominant-baseline</code> attribute occurs.</dd>
 <dt><code>no-change</code>{{deprecated_inline}}</dt>
 <dd>The dominant-baseline, the baseline-table, and the baseline-table font-size remain the same as that of the parent text content element.</dd>
 <dt><code>reset-size</code>{{deprecated_inline}}</dt>
 <dd>The dominant-baseline and the baseline-table remain the same, but the baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element. This re-scales the baseline-table for the current {{SVGAttr("font-size")}}.</dd>
 <dt><code>ideographic</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>ideographic</code>, the derived baseline-table is constructed using the <code>ideographic</code> baseline-table in the font, and the baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>alphabetic</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>alphabetic</code>, the derived baseline-table is constructed using the <code>alphabetic</code> baseline-table in the font, and the baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>hanging</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>hanging</code>, the derived baseline-table is constructed using the <code>hanging</code> baseline-table in the font, and the baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>mathematical</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>mathematical</code>, the derived baseline-table is constructed using the <code>mathematical</code> baseline-table in the font, and the baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>central</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>central</code>. The derived baseline-table is constructed from the defined baselines in a baseline-table in the font. That font baseline-table is chosen using the following priority order of baseline-table names: <code>ideographic</code>, <code>alphabetic</code>, <code>hanging</code>, <code>mathematical</code>. The baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>middle</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>middle</code>. The derived baseline-table is constructed from the defined baselines in a baseline-table in the font. That font baseline-table is chosen using the following priority order of baseline-table names: <code>alphabetic</code>, <code>ideographic</code>, <code>hanging</code>, <code>mathematical</code>. The baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>text-after-edge</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>text-after-edge</code>. The derived baseline-table is constructed from the defined baselines in a baseline-table in the font. The choice of which font baseline-table to use from the baseline-tables in the font is browser dependent. The baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>text-before-edge</code></dt>
 <dd>The baseline-identifier for the dominant-baseline is set to be <code>text-before-edge</code>. The derived baseline-table is constructed from the defined baselines in a baseline-table in the font. The choice of which baseline-table to use from the baseline-tables in the font is browser dependent. The baseline-table font-size is changed to the value of the {{SVGAttr("font-size")}} attribute on this element.</dd>
 <dt><code>text-top</code></dt>
 <dd>This value uses the top of the em box as the baseline.</dd>
</dl>

<h2 id="Example">Example</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html notranslate">&lt;svg width="400" height="300" viewBox="0 0 300 300"
    xmlns="http://www.w3.org/2000/svg"&gt;

  &lt;!-- Materialization of anchors --&gt;
  &lt;path d="M60,20 L60,270
           M30,20 L400,20
           M30,70 L400,70
           M30,120 L400,120
           M30,170 L400,170
           M30,220 L400,220
           M30,270 L400,270" stroke="grey" /&gt;

    &lt;!-- Anchors in action --&gt;
    &lt;text dominant-baseline="auto" x="70" y="20"&gt;auto&lt;/text&gt;
    &lt;text dominant-baseline="middle" x="70" y="70"&gt;middle&lt;/text&gt;
    &lt;text dominant-baseline="hanging" x="70" y="170"&gt;hanging&lt;/text&gt;
    &lt;text dominant-baseline="mathematical" x="70" y="220"&gt;mathematical&lt;/text&gt;
    &lt;text dominant-baseline="text-top" x="70" y="270"&gt;text-top&lt;/text&gt;

  &lt;!-- Materialization of anchors --&gt;
  &lt;circle cx="60" cy="20" r="3" fill="red" /&gt;
  &lt;circle cx="60" cy="70" r="3" fill="red" /&gt;
  &lt;circle cx="60" cy="120" r="3" fill="red" /&gt;
  &lt;circle cx="60" cy="170" r="3" fill="red" /&gt;
  &lt;circle cx="60" cy="220" r="3" fill="red" /&gt;
  &lt;circle cx="60" cy="270" r="3" fill="red" /&gt;

  &lt;style&gt;&lt;![CDATA[
  text {
    font: bold 30px Verdana, Helvetica, Arial, sans-serif;
  }
  ]]&gt;&lt;/style&gt;
&lt;/svg&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", "300", "300")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "text.html#DominantBaselineProperty", "dominant-baseline")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Refers to the specification in {{Spec2("CSS3 Inline")}} and explicitly mentions the removal of the values <code>use-script</code>, <code>no-change</code>, and <code>reset-size</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Inline", "#propdef-dominant-baseline", "dominant-baseline")}}</td>
   <td>{{Spec2("CSS3 Inline")}}</td>
   <td>Removed the values <code>use-script</code>, <code>no-change</code>, and <code>reset-size</code> and introduced the <code>text-top</code> value.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#DominantBaselineProperty", "dominant-baseline")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.dominant-baseline")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("dominant-baseline","CSS dominant-baseline")}}</li>
</ul>
